<?php
include 'l10n.php';
include 'streams.php';
include 'gettext.php';
$mofile = './sitetag.mo';

if (is_readable($mofile)) {
    $input = new CachedFileReader($mofile);
    $mo2po = new gettext_reader($input);

    $mo2po->load_tables();
    echo "<xmp>"; // I know that xmp is officially deprecated , but it works ;)
    foreach ($mo2po->cache_translations as $msgid => $msgstr) {
        echo "\n";
        if ($msgid == "") {
            echo 'msgid ""' . "\n";
            echo 'msgstr ""' . "\n";
            foreach (split("\n",$msgstr) as $val) {
                if ($val != "")
                    echo '"' . $val . '\n"' . "\n";
            }
        } else {
            echo 'msgid "' . $msgid . '"' . "\n";
            echo 'msgstr "' . $msgstr . '"' . "\n";
        }
    }
    echo "</xmp>";
} else {
    echo 'ERROR: file not readable: ' . $mofile;
}
?>
